import React from 'react';
import { render, useInput, useApp, Box, Text } from 'ink';
export default function Robot() {
  const {
    exit
  } = useApp();
  const [x, setX] = React.useState(1);
  const [y, setY] = React.useState(1);
  useInput((input, key) => {
    if (input === 'q') {
      exit();
    }
    if (key.leftArrow) {
      setX(Math.max(1, x - 1));
    }
    if (key.rightArrow) {
      setX(Math.min(20, x + 1));
    }
    if (key.upArrow) {
      setY(Math.max(1, y - 1));
    }
    if (key.downArrow) {
      setY(Math.min(10, y + 1));
    }
  });
  return /*#__PURE__*/React.createElement(Box, {
    flexDirection: "column"
  }, /*#__PURE__*/React.createElement(Text, null, "Use arrow keys to move the face. Press \u201Cq\u201D to exit."), /*#__PURE__*/React.createElement(Box, {
    height: 12,
    paddingLeft: x,
    paddingTop: y
  }, /*#__PURE__*/React.createElement(Text, null, "^_^")));
}